Manjaro Other
   2232

[РЕШЕНО]При обновления ядра, перестало работать графическая оболочка.

Обновление было с 4.14 до 5.14. При попытке запустить старое ядро все те же проблемы. При загрузки вылазить вот такие ошибкиManjaro Other: Вылезают вот такие ошибки.Потом загружается вот эта тема(но у меня до этого другая тема стояла + писалась, что проблемы с загрузкой темы, но я это вроде исправил)

13 комментариев

avatar
Вот та тема чёт с первого раза не загрузилась + при вводе пороля все просто зависает
Вот тема
Последний раз редактировалось
0
avatar
Попробуйте переустановить polkit.
0
avatar
Не помогло.
0
avatar
В TTY посмотрите что говорят
systemctl status polkit.service 
и
journalctl -xe 
что пишут?
Последний раз редактировалось
+1
avatar
systemctl status polkit.service
× polkit.service — Authorization Manager
Loaded: loaded (/usr/lib/systemd/system/polkit.service; static)
Active: failed (Result: core-dump) since Thu 2022-02-03 12:04:18 MSK; 49s ago
Docs: man:polkit(8)
Process: 2981 ExecStart=/usr/lib/polkit-1/polkitd --no-debug (code=dumped, signal=BUS)
Main PID: 2981 (code=dumped, signal=BUS)
CPU: 5ms

фев 03 12:04:17 kirill-gf63thin9scsr systemd[1]: Starting Authorization Manager…
фев 03 12:04:18 kirill-gf63thin9scsr systemd[1]: polkit.service: Main process exited, code=dumped, status=7/BUS
фев 03 12:04:18 kirill-gf63thin9scsr systemd[1]: polkit.service: Failed with result 'core-dump'.
фев 03 12:04:18 kirill-gf63thin9scsr systemd[1]: Failed to start Authorization Manager.
0
avatar
Journal -xe не загружается слишком много текста, может что-то конкретное от туда надо?
Последний раз редактировалось
0
avatar
Можно сделать вот так:
journalctl --boot --unit=polkit.service 
Последний раз редактировалось
+1
avatar
journalctl --boot --unit=polkit.service
фев 03 22:09:39 kirill-gf63thin9scsr systemd[1]: Starting Authorization Manager…
фев 03 22:09:42 kirill-gf63thin9scsr systemd[1]: polkit.service: Main process exited, code=dumped, status=7/BUS
фев 03 22:09:42 kirill-gf63thin9scsr systemd[1]: polkit.service: Failed with result 'core-dump'.
фев 03 22:09:42 kirill-gf63thin9scsr systemd[1]: Failed to start Authorization Manager.
фев 03 22:11:41 kirill-gf63thin9scsr systemd[1]: Starting Authorization Manager…
фев 03 22:11:41 kirill-gf63thin9scsr systemd[1]: polkit.service: Main process exited, code=dumped, status=7/BUS
фев 03 22:11:41 kirill-gf63thin9scsr systemd[1]: polkit.service: Failed with result 'core-dump'.
фев 03 22:11:41 kirill-gf63thin9scsr systemd[1]: Failed to start Authorization Manager.
0
avatar
Отпишусь пока по последней строчке скриншота. Если у Вас нет модема, то модемменеджер нафиг не нужен.
В этом случае можно смело удалять пакет modemmanager.

Последнее обновление у Вас прошло корректно?
Можно попробовать сделать это:
pacman -Qqn | pacman -S -

Пакеты будут переустановлены. В случае некорректного обновления должно помочь.
Последний раз редактировалось
+1
avatar
При обновление было написано «обнаружены ошибки, пакеты не были обновлены.» Я посмотрел как эти проблемы решить, но ничего не помогает. Может легче просто все переустановить(типо через образ)?
Последний раз редактировалось
0
avatar
При обновление было написано «обнаружены ошибки, пакеты не были обновлены.»
Вот это похоже на суть проблемы.
ничего не помогает
Принудительно перезаписать пакеты можно флагом --overwrite=*.
Может легче просто все переустановить(типо через образ)?
"А-а-а, пришло время переустанавливать…" это методспособ из оффтопик-ОС. И он плох, потому как исключает понимание.
Последний раз редактировалось
+1
avatar
Последний раз редактировалось
0
avatar
Благодарю, все заработала.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.